Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class ProcessingInstructionImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.CharacterDataImpl
                        |
                        +--org.apache.xerces.dom.ProcessingInstructionImpl

All Implemented Interfaces:
  java.lang.Cloneable, EventTarget, Node, NodeList, ProcessingInstruction, java.io.Serializable

Direct Known Subclasses:
  DeferredProcessingInstructionImpl

public class ProcessingInstructionImpl
extends CharacterDataImpl
implements ProcessingInstruction

Processing Instructions (PIs) permit documents to carry processor-specific information alongside their actual content. PIs are most common in XML, but they are supported in HTML as well. This class inherits from CharacterDataImpl to reuse its setNodeValue method.

Since:
  PR-DOM-Level-1-19980818.
Version:
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `target`

Fields inherited from class org.apache.xerces.dom.CharacterDataImpl
`data`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProcessingInstructionImpl(DocumentImpl ownerDoc, java.lang.String target, java.lang.String data)` Factory constructor.

Method Summary
`java.lang.String` | `getData()` A PI's data content tells the processor what we actually want it to do.
`java.lang.String` | `getNodeName()` Returns the target
`short` | `getNodeType()` A short integer indicating what type of node this is.
`java.lang.String` | `getTarget()` A PI's "target" states what processor channel the PI's data should be directed to.
`void` | `setData(java.lang.String data)` Change the data content of this PI.

Methods inherited from class org.apache.xerces.dom.CharacterDataImpl
`appendData, deleteData, getChildNodes, getLength, getNodeValue, insertData, replaceData, setNodeValue, substringData`

Methods inherited from class org.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getAttributes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getPrefix, getReadOnly, getUserData, hasAttributes, hasChildNodes, insertBefore, isSupported, item, normalize, removeChild, removeEventListener, replaceChild, setPrefix, setReadOnly, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### target

    protected java.lang.String target

Constructor Detail

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(DocumentImpl ownerDoc,
                                     java.lang.String target,
                                     java.lang.String data)

  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.
  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public java.lang.String getNodeName()

  Returns the target
  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `NodeImpl`

### getTarget

    public java.lang.String getTarget()

  A PI's "target" states what processor channel the PI's data should be directed to. It is defined differently in HTML and XML.

  In XML, a PI's "target" is the first (whitespace-delimited) token following the " In HTML, target is always null.

  Note that getNodeName is aliased to getTarget.

  Specified by:
    `getTarget` in interface `ProcessingInstruction`

### getData

    public java.lang.String getData()

  A PI's data content tells the processor what we actually want it to do. It is defined slightly differently in HTML and XML.

  In XML, the data begins with the non-whitespace character immediately after the target -- @see getTarget().

  In HTML, the data begins with the character immediately after the "<?" token that begins the PI.

  Note that getNodeValue is aliased to getData

  Specified by:
    `getData` in interface `ProcessingInstruction`
  Overrides:
    `getData` in class `CharacterDataImpl`
  Following copied from interface: `org.w3c.dom.ProcessingInstruction`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### setData

    public void setData(java.lang.String data)

  Change the data content of this PI. Note that setData is aliased to setNodeValue.
  Specified by:
    `setData` in interface `ProcessingInstruction`
  Overrides:
    `setData` in class `CharacterDataImpl`
  Throws:
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is read-only.
  See Also:
    `getData().`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD